#!/bin/sh

set -e

usage()
{
    trap 0
    echo "<fullpath>/myri-eeprom-batch.sh [ -fff ] <node0> <node1> <node2> ..." >&2
    exit 1
}

board_num=0

error()
{
    echo "**** $0 FAILED *****" >&2
    exit 1 
}

trap error 0

case $0 in 
 /*)
  path=`dirname $0`;;
 *)
  echo "$0 should be call with fullpath /<path>/`basename $0` not $0" >&2
  exit 1;;
esac
  
args="`getopt hfb:p:t:d:n "$@"`"
program=$path/mcp0_replace-z145
tag=ze_tools-1_4_5_rc1

dotest=

set -- $args

while test $# -ge 1 ; do
 case "$1" in
  -f) final_arg="$final_arg $1";shift;;
  -p) program="$2";shift 2;;
  -b) board_num="$2";shift 2;;
  -d) path="$2";shift 2;;
  -t) tag="$2";shift 2;;
  -n) dotest=/bin/true;shift 1;;
  --) shift; break;;
  -h) usage;;
  -*) echo "Unknown option:$1" >&2; exit 1;;
  *) break;;
 esac
done

if test "$#" = 0 ; then
 usage
fi

echo "Preparing to replace eeprom on: $@"

sleep 4

for  node; do 
 echo -e "\n\nGoing on $node\n"
 ssh -t $node "PATH=/bin:/sbin:/usr/bin:/usr/sbin;lsmod | grep mx_driver && exit 1;lsmod | grep myri10ge && exit 1; $program -b$board_num $final_arg && $path/myri_info -z -b$board_num | grep TAG=$tag &&  $dotest $path/lload -z -b$board_num -i" || exit
 sleep 2
done

trap 0

